For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
      • GETList Custom Object Types
      • POSTCreate new Custom Object Type
      • GETRetrieve a single Custom Object Type
      • PUTUpdate existing Custom Object Type
      • DELDelete a Custom Object Type
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom Object Types

List Custom Object Types

||View as Markdown|
GET
https://api.close.com/api/v1/custom_object_type/
GET
/api/v1/custom_object_type/
$curl https://api.close.com/api/v1/custom_object_type/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "api_create_only": true,
5 "back_reference_fields": [],
6 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
7 "date_created": "2020-07-09T15:36:16.795350",
8 "date_updated": "2020-07-09T15:36:16.795350",
9 "description": "A Resource tracked by an external system.",
10 "editable_with_roles": [],
11 "fields": [
12 {
13 "accepts_multiple_values": true,
14 "back_reference_is_visible": true,
15 "description": "Account objects using this Resource.",
16 "editable_with_roles": [],
17 "id": "cf_jnxTQDKnSxCEBtD5dvZdNgTzC3CqeyWUyU349PBA9Wf",
18 "name": "Linked Accounts",
19 "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
20 "required": true,
21 "type": "custom_object"
22 }
23 ],
24 "id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y",
25 "name": "Resource",
26 "name_plural": "Resources",
27 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
28 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
29 },
30 {
31 "api_create_only": false,
32 "back_reference_fields": [
33 {
34 "accepts_multiple_values": true,
35 "back_reference_is_visible": true,
36 "description": "Account objects using this Resource.",
37 "editable_with_roles": [],
38 "id": "cf_jnxTQDKnSxCEBtD5dvZdNgTzC3CqeyWUyU349PBA9Wf",
39 "name": "Linked Accounts",
40 "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
41 "required": true,
42 "type": "custom_object"
43 }
44 ],
45 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
46 "date_created": "2020-07-27T21:28:39.765523",
47 "date_updated": "2020-07-27T21:28:39.765523",
48 "description": "An Account managed by this client.",
49 "editable_with_roles": [],
50 "fields": [
51 {
52 "accepts_multiple_values": false,
53 "description": "ID from the external Account system.",
54 "editable_with_roles": [],
55 "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
56 "name": "Account ID",
57 "required": false,
58 "type": "text"
59 },
60 {
61 "accepts_multiple_values": false,
62 "description": "Main point of contact for this account.",
63 "editable_with_roles": [],
64 "id": "cf_UpyNBvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jg64S",
65 "name": "Point of Contact",
66 "required": true,
67 "type": "contact"
68 },
69 {
70 "accepts_multiple_values": false,
71 "choices": [
72 "Active",
73 "Cancelled",
74 "Potential"
75 ],
76 "description": null,
77 "editable_with_roles": [],
78 "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
79 "name": "Status",
80 "required": false,
81 "type": "choices"
82 }
83 ],
84 "id": "cotype_4hQsScWF3hnUOyngoaAV00",
85 "name": "Account",
86 "name_plural": "Accounts",
87 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
88 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
89 }
90 ]
91}
The response will include all Custom Object Types, including Custom Field metadata for your organization. Each Custom Object Type has two lists of Custom Fields. The `fields` property contains the list of fields that belong to the Custom Object Type. The `back_reference_fields` property contains the list of any objects (Leads, Contacts, Opportunities, Custom Activities, Custom Objects) that reference the Custom Object Type.
Was this page helpful?
Previous

Custom Object Types

Next

Create new Custom Object Type

Built with

The response will include all Custom Object Types, including Custom Field metadata for your organization.

Each Custom Object Type has two lists of Custom Fields. The fields property contains the list of fields that belong to the Custom Object Type. The back_reference_fields property contains the list of any objects (Leads, Contacts, Opportunities, Custom Activities, Custom Objects) that reference the Custom Object Type.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error